---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    labels:
      provider: fabric8
      project: exposecontroller
      version: 3.0.1
      group: io.fabric8.funktion.apps
    name: exposecontroller
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      fabric8.io/target-platform: kubernetes
    labels:
      provider: fabric8
      project: exposecontroller
      version: 3.0.1
      group: io.fabric8.funktion.apps
    name: exposecontroller
  data:
    config.yml: |
      domain:
      exposer:
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    annotations:
      configmap.fabric8.io/update-on-change: exposecontroller
      fabric8.io/git-commit: ccb6883ece7408fe9537b28784e8b11cc89e0d42
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=exposecontroller&var-version=3.0.1
      fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/exposecontroller
      fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/exposecontroller
      fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/exposecontroller/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v3.0.1
      fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/exposecontroller
      fabric8.io/scm-tag: app-console-2.0.1
    labels:
      provider: fabric8
      project: exposecontroller
      version: 3.0.1
      group: io.fabric8.funktion.apps
    name: exposecontroller
  spec:
    replicas: 1
    selector:
      matchLabels:
        project: exposecontroller
        provider: fabric8
        group: io.fabric8.funktion.apps
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: ccb6883ece7408fe9537b28784e8b11cc89e0d42
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=exposecontroller&var-version=3.0.1
          fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/exposecontroller
          fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/exposecontroller
          fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/exposecontroller/src/main/fabric8/icon.png
          configmap.fabric8.io/update-on-change: exposecontroller
          fabric8.io/git-branch: release-v3.0.1
          fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/exposecontroller
          fabric8.io/scm-tag: app-console-2.0.1
        labels:
          provider: fabric8
          project: exposecontroller
          version: 3.0.1
          group: io.fabric8.funktion.apps
      spec:
        containers:
        - env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/exposecontroller:2.3.13
          livenessProbe:
            exec:
              command:
              - cat
              - /tmp/restarteveryday
            initialDelaySeconds: 86164
          name: exposecontroller
          volumeMounts:
          - mountPath: /etc/exposecontroller
            name: config-volume
        serviceAccountName: exposecontroller
        volumes:
        - configMap:
            name: exposecontroller
          name: config-volume
